Subject: Re: Potential regression/bug in net/mlx5 driver

From: Jakub Kicinski <[email-masked]>
Date: Thu, 13 Apr 2023 15:21:50 -0700

On Thu, 13 Apr 2023 14:12:49 -0700 Saeed Mahameed wrote:
> This is a high priority and we are working on this, unfortunately for mlx5
> we don't check FW versions since we support more than 6 different devices
> already, with different FW production lines. 
> 
> So we believe that this bug is very hard to solve without breaking backward
> compatibility with the currently supported working FWs, the issue exists only
> on very old firmwares and we will recommend a firmware upgrade to resolve this
> issue.

On a closer read I don't like what this patch is doing at all.
I'm not sure we have precedent for "management connection" functions.
This requires a larger discussion. And after looking up the patch set
it went in, it seems to have been one of the hastily merged ones.
I'm sending a revert.